#!/usr/bin/gnuplot

load "<head -12 config.py"

D_func(H,pV) = 10.**(0.5 * (6.259 - log10(pV) - 0.4*H))

set colors classic
set term x11

set xl "a_p [AU]"
set yl "D [km]"

set logscale y

set arrow from graph 0,first 2 rto graph 1,first 0 nohead lt 0 front

f_(H) = 0.66 + 1.5*(H-20.)/(6.-20.)
g_(H) = 1.*f_(H)

p \
  "halo.list"                         u 23:(D_func($4,pV)):(f_($4)) w p lc 'gray'  pt 7 ps variable t "halo",\
  "family.list"                       u 23:(D_func($4,pV)):(f_($4)) w p lc 'black' pt 7 ps variable t "family",\
  "interlopers.out"                   u 23:(D_func($4,pV)) w p lt 2 lw 2 pt 6 ps 2 t "interlopers",\
  "family.label"                      u 23:(D_func($4,pV)):34 not w labels center,\
  "<awk '($35 < 12)' family.list_110" u 23:(D_func($4,pV)):34 not w labels center

pa -1

q

set term post eps enh color solid "Helvetica" 18
set out "aH_C.eps"
rep

q


